It is currently Sun Jun 16, 2019 5:49 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 7 posts ] 
Author Message
 Post subject: PB 5.71 B1 - WebGadget Linker Error
PostPosted: Sat Apr 20, 2019 4:40 am 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Sun Jul 07, 2013 11:35 am
Posts: 400
Location: Canada
Hello everyone,

Code:
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; Project name : WebGadget Linker Error
; File Name : WebGadget Linker Error.pb
; File version: 1.0.0
; Programming : Bug Demonstrator
; Programmed by : StarBootics
; Date : 21-04-2019
; Last Update : 21-04-2019
; PureBasic code : 5.71 beta 1 LTS
; Platform : Ubuntu 19.04 (Disco Dingo) x86-64
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; LINKER ERROR :
;
; /usr/bin/ld : GadgetWeb.a(WebGadget.o) : dans la fonction « NavigationPolicyCallback » :
; WebGadget.c:(.text+0x37) : référence indéfinie vers « webkit_network_request_get_uri »
; /usr/bin/ld : WebGadget.c:(.text+0x67) : référence indéfinie vers « webkit_web_policy_decision_ignore »
; /usr/bin/ld : WebGadget.c:(.text+0x91) : référence indéfinie vers « webkit_web_policy_decision_use »
; /usr/bin/ld : GadgetWeb.a(WebGadget.o) : dans la fonction « WindowPolicyCallback » :
; WebGadget.c:(.text+0x11e) : référence indéfinie vers « webkit_web_policy_decision_ignore »
; /usr/bin/ld : GadgetWeb.a(WebGadget.o) : dans la fonction « GetGadgetItemText » :
; ...
; collect2: error: ld returned 1 exit status
;
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

  If OpenWindow(0,0,0,600,300,"WebGadget",#PB_Window_SystemMenu | #PB_Window_ScreenCentered)
    WebGadget(0,10,10,580,280,"https://www.purebasic.com")
    Repeat
    Until WaitWindowEvent() = #PB_Event_CloseWindow
  EndIf
 
; <<<<<<<<<<<<<<<<<<<<<<<
; <<<<< END OF FILE <<<<<
; <<<<<<<<<<<<<<<<<<<<<<<


I have upgraded Ubuntu from version 18.10 to version 19.04 today. I have try to install these two libraries : libwebkitgtk-dev libwebkitgtk-3.0-dev but they are impossible to find.

Best regards
StarBootics

_________________
The Stone Age did not end due to a shortage of stones !


Last edited by StarBootics on Sun Apr 21, 2019 5:03 pm, edited 2 times in total.

Top
 Profile  
Reply with quote  
 Post subject: Re: PB 5.71 B1 - WebGadget Linker Error
PostPosted: Sat Apr 20, 2019 11:11 am 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 1743
Location: Germany
Perhaps help...
Quote:
sudo apt-get install libgtk2.0-dev libgtk-3-dev libwebkitgtk-dev libwebkitgtk-3.0-dev libwebkit2gtk-4.0-dev

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / Event-Designer
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: PB 5.71 B1 - WebGadget Linker Error
PostPosted: Sat Apr 20, 2019 1:46 pm 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Sun Jul 07, 2013 11:35 am
Posts: 400
Location: Canada
mk-soft wrote:
Perhaps help...
Quote:
sudo apt-get install libgtk2.0-dev libgtk-3-dev libwebkitgtk-dev libwebkitgtk-3.0-dev libwebkit2gtk-4.0-dev


Quote:
starbootics@starbootics-Desktop:~$ sudo apt-get install libgtk2.0-dev libgtk-3-dev libwebkitgtk-dev libwebkitgtk-3.0-dev libwebkit2gtk-4.0-dev
[sudo] Mot de passe de starbootics :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet libwebkitgtk-dev
E: Impossible de trouver le paquet libwebkitgtk-3.0-dev
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « libwebkitgtk-3.0-dev »
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « libwebkitgtk-3.0-dev »


The packages seems to be gone in Ubuntu 19.04.

Thanks anyway.
StarBootics

_________________
The Stone Age did not end due to a shortage of stones !


Top
 Profile  
Reply with quote  
 Post subject: Re: PB 5.71 B1 - WebGadget Linker Error
PostPosted: Sat Apr 20, 2019 2:39 pm 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 1743
Location: Germany
Download now Ubuntu 19.04
Can only last me a few hours. :(

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / Event-Designer
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: PB 5.71 B1 - WebGadget Linker Error
PostPosted: Mon Apr 22, 2019 3:21 pm 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 1743
Location: Germany
Took me a while.
I had to make some adjustments to Parallels (macOS) to install the Parallels tools for Linux Kernel v5.x.

It looks like the webkit is not available yet.
I didn't get any further when searching the internet.

Ubuntu packages libwebkitgtk:
https://packages.ubuntu.com/search?suit ... bwebkitgtk

I hope that Ubuntu still provides the webkit for Disco

P.S. With subsystem QT works

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / Event-Designer
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: PB 5.71 B1 - WebGadget Linker Error
PostPosted: Mon Apr 22, 2019 6:17 pm 
Offline
Enthusiast
Enthusiast

Joined: Sat Apr 26, 2003 2:49 pm
Posts: 598
Some distros are dropping support for webkit1, it seems ubuntu has joined the club.

You should be able to install webkit2 but it will not work with the pb webgadget, wich uses webkit1.

I think Mint still supports it.


Top
 Profile  
Reply with quote  
 Post subject: Re: PB 5.71 B1 - WebGadget Linker Error
PostPosted: Fri May 10, 2019 11:22 pm 
Offline
User
User

Joined: Mon Jun 27, 2011 1:39 pm
Posts: 22
Location: FRANCE
I gave the solution here : viewtopic.php?f=23&t=72735
See you guys

_________________
Devops Engineer
PB French Moderator
http://www.purebasic.fr/french/


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 7 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  

 


Powered by phpBB © 2008 phpBB Group
subSilver+ theme by Canver Software, sponsor Sanal Modifiye